// StcBorder.cpp : _xZkqqHx_iDeDiDjDiDhGiDiKiDiBiDjDiDgFiBfLiDfGiDiHiDjD_xHqqkZx_ _xZkqqHx_iDhEiDeAiDeDiDiL_xHqqkZx_
//

#include "stdafx.h"
//#include "dynamicdraw.h"
#include "StcBorder.h"		// This header.

#ifdef _DEBUG
#define new DEBUG_NEW
#undef THIS_FILE
static char THIS_FILE[] = __FILE__;
#endif

/////////////////////////////////////////////////////////////////////////////
// CFCStcBorder

CFCStcBorder::CFCStcBorder ()
{
} // CFCStcBorder::CFCStcBorder.

CFCStcBorder::~CFCStcBorder ()
{
} // CFCStcBorder::~CFCStcBorder.


BEGIN_MESSAGE_MAP(CFCStcBorder, BASE_CLASS)
	//{{AFX_MSG_MAP(CFCStcBorder)
	ON_WM_PAINT()
	//}}AFX_MSG_MAP
END_MESSAGE_MAP()

/////////////////////////////////////////////////////////////////////////////
// CFCStcBorder _xZkqqHx_iDiBiDgCiDfKiBfLiDfH_xHqqkZx_ _xZkqqHx_iDgOiDjDiDgIiDiJ_xHqqkZx_

void CFCStcBorder::OnPaint ()
{
	CPaintDC dc(this); // _xZkqqHx_jFgAiJoGjHhAiCmMiDgGiDgPiDeDiDfI_xHqqkZx_ _xZkqqHx_iDfCiDjDiDgFiDeMiDfIiDgH_xHqqkZx_
	CRect rtClient;
	GetClientRect(rtClient);
	CPen penShadow(PS_SOLID, 1, ::GetSysColor(COLOR_3DSHADOW));
	CPen penLight(PS_SOLID, 1, ::GetSysColor(COLOR_3DHILIGHT));
	if (rtClient.Width() < rtClient.Height())
	//----- _xZkqqHx_iPgDjClHiCmMiPoKiNiH_xHqqkZx_ -----
	{
		long lx = rtClient.right / 2;
		dc.SelectObject(&penShadow);
		dc.MoveTo(lx, rtClient.top);
		dc.LineTo(lx, rtClient.bottom);
		dc.SelectObject(&penLight);
		dc.MoveTo(lx + 1, rtClient.top);
		dc.LineTo(lx + 1, rtClient.bottom);
	} else
	//----- _xZkqqHx_iJkBjClHiCmMiPoKiNiH_xHqqkZx_ -----
	{
		long ly = rtClient.bottom / 2;
		dc.SelectObject(&penShadow);
		dc.MoveTo(rtClient.left, ly);
		dc.LineTo(rtClient.right, ly);
		dc.SelectObject(&penLight);
		dc.MoveTo(rtClient.left, ly + 1);
		dc.LineTo(rtClient.right, ly + 1);
	}
} // CFCStcBorder::OnPaint.
